Request an Image Identity Verification

Learn how to initiate a new Image Identity Verification using the API.

To initiate a new Image Identity Verification, send the file containing the ID document using the following endpoint:

POST /verifications/identity_documents

curl --location --request POST '{baseUrl}/verifications/identity_documents' \
--header 'Authorization: Bearer {apiKey}' \
--form 'first_name="John"' \
--form 'last_name="Doe"' \
--form 'file=@"/path/to/the/document/id_document.jpeg"' 
{
    "id": "9a93d3b5-fb3b-4abf-9e70-26315b33506c",
    "workspace_id": "090b4f7e-25e8-423d-9387-741f6188ba7a",
    "created_at": "2025-03-24T13:32:26+00:00",
    "updated_at": "2025-03-24T13:32:26+00:00",
    "status": "pending",
    "status_codes": [],
    "data_anonymized": false,
    "data": {
        "extracted_from_document": {
            "first_name": null,
            "birth_name": null,
            "last_name": null,
            "born_on": null,
            "birth_location": null,
            "gender": null,
            "full_address": null,
            "type": null,
            "issuing_country_code": null,
            "issued_on": null,
            "expired_on": null,
            "document_number": null,
            "mrz": {
                "line1": null,
                "line2": null,
                "line3": null
            },
      "national_identification_number": null
        }
    }
}
Query ParamTypeDescription
filefileThe file containing the image of the ID document (ID cards, passports, residence permits, old Italian ID cards). This file may include both the front (recto) and back (verso) of the document. If it contains only one side, you should provide the other side in the additional_file parameter.
Accepted formats: PNG, JPEG, JPG, PDF.
Max size: 10 MB. Max resolution: 20 mpx.
additional_filefileThe optional file containing the opposite side of the ID document. This is required only if the file parameter contains only one side of the ID document.
Accepted formats: PNG, JPEG, JPG, PDF.
Max size: 10 MB. Max resolution: 20 mpx.
typestringDefines the type of ID document you want to verify. You can use this parameter to restrict the initial list of supported document types (ID cards, passports, residence permits, old Italian ID cards).
first_namestringThe first name of the ID document holder.
The first name provided must match exactly as it appears on the document, as a consistency check will be performed.
If multiple given names are listed on the document, you must provide only the first one.
last_namestringThe last name of the ID document holder.
The last name provided must match exactly as it appears on the document, as a consistency check will be performed. If both a birth name and a usage name are listed on the document, you must provide the birth name.
workspace_idstringScopes the verification to a specific workspace. Defaults to the main workspace if not specified.
min_ageintegerSets the minimum accepted age for the document holder. If the holder’s age, calculated from the extracted date of birth, is lower than this value, the verification will fail with a dedicated status code.
max_ageintegerSets the maximum accepted age for the document holder. If the holder’s age, calculated from the extracted date of birth, is higher than this value, the verification will fail with a dedicated status code.
prohibited_countriesstringSets the list of issuing countries that must be rejected. If the issuing country extracted from the document matches one of the configured countries, the verification will fail with a dedicated status code.

In the response, you'll find the id. This value is required to retrieve the verification results.